New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Allow travis to test on perls Unsuported by Dist::Zila #228

Open
wants to merge 14 commits into
base: master
from

Conversation

Projects
None yet
2 participants
@jluis

jluis commented Jul 22, 2016

use dizil build with perl 5.014 for perls 5.012 .. 5.008
test using Build test

jluis added some commits Jul 13, 2016

Testing how to test all supported perls
Dist::Zila needs 5.014 but Pinto supports erlier perls
Run test on suported perl versions
Dist::Zila only supports Perl from 5.014 and up.
Pinto can be build and work on Perl from 5.008 and up
Testing now 24 & 8 for travis speed
Travis test all supported Perl versions.
Dist::Zila needs Perl 5.014 to be installed but Pinto only needs 5.008.

For perls before 5.014 build the distro using 5.014 and test it on the declared perl
- perlbrew use $TEST_PERL
- grep -v Zilla deps|cpanm --mirror http://cpan.stratopan.com --quiet --notest
- cd Pinto*
- perl Build.PL

This comment has been minimized.

@thaljef

thaljef Jul 26, 2016

Owner

Hi @jluis! I don't know the details about dzil breaking backward compatibility. But can you help me understand why you want to build this way instead of just using the smoke command? Thanks!

@thaljef

thaljef Jul 26, 2016

Owner

Hi @jluis! I don't know the details about dzil breaking backward compatibility. But can you help me understand why you want to build this way instead of just using the smoke command? Thanks!

@jluis

This comment has been minimized.

Show comment
Hide comment
@jluis

jluis Aug 1, 2016

Hi @thaljef I'm sorry to answer you so late I didn't notice your coment unlil today.
I was assigned on June with pinto for the CPAN Pull Request Chalenge but I was unable to find time for it until July and I noticed that Travis failed on Perl 5.012 and that Dist::Zila now only supports Perl from 5.014.
I modified Travis.yml on my repo and tested and forgot to send the pull request and when I tried to do it noticed that you had made similar changes.
Then I tried that travis run the tests on all suported versions of Perl and that was the way I tried first as It only ads an extra steep when needed but if you prefer I will made another pull request doing the tests with dzil smoke when possible.

jluis commented Aug 1, 2016

Hi @thaljef I'm sorry to answer you so late I didn't notice your coment unlil today.
I was assigned on June with pinto for the CPAN Pull Request Chalenge but I was unable to find time for it until July and I noticed that Travis failed on Perl 5.012 and that Dist::Zila now only supports Perl from 5.014.
I modified Travis.yml on my repo and tested and forgot to send the pull request and when I tried to do it noticed that you had made similar changes.
Then I tried that travis run the tests on all suported versions of Perl and that was the way I tried first as It only ads an extra steep when needed but if you prefer I will made another pull request doing the tests with dzil smoke when possible.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment